%global collection_namespace containers
%global collection_name podman

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        1.9.4
Release:        2%{?dist}
Summary:        Podman Ansible collection for Podman containers

License:        GPLv3+
URL:            %{ansible_collection_url}
Source:         https://github.com/containers/ansible-podman-collections/archive/%{version}.tar.gz
# patches_ignore=DROP-IN-RPM 
# patches_base=33b28086ec551cbbd3970d6deb5ac8bab567d202
Patch0001: 0001-Improve-security_opt-comparison-between-existing-con.patch
Patch0002: 0002-Recreate-stopped-containers-if-recreate-flag-is-enab.patch
Patch0003: 0003-Add-new-arguments-to-podman-status-commands-703.patch

BuildRequires:  ansible-packaging
BuildRequires:  git-core

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n ansible-podman-collections-%{version} -S git
sed -i -e 's/version:.*/version: %{version}/' galaxy.yml
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
rm -vr changelogs/ ci/ contrib/ tests/ ./galaxy.yml.in .github/ .gitignore

%build
%ansible_collection_build

%install
%ansible_collection_install

%files
%license COPYING
%doc README.md
%{ansible_collection_files}

%changelog
* Tue Mar 12 2024 Shreshtha Joshi <shrjoshi@redhat.com> 1.9.4-2
- Add new arguments to podman status commands (#703) (rhbz#2256489)
- Recreate stopped containers if `recreate` flag is enabled (rhbz#2238284)
- Improve `security_opt` comparison between existing container (#673) (rhbz#2249444)


* Tue Jul 05 2022 Jakob Meng <code@jakobmeng.de> - 1.9.4-1
- Bump to 1.9.4

* Wed Mar 30 2022 Jakob Meng <code@jakobmeng.de> - 1.9.3-1
- Bump to 1.9.3

* Mon Mar 21 2022 Jakob Meng <code@jakobmeng.de> - 1.9.2-1
- Bump to 1.9.2

* Sat Jan 29 2022 Maxwell G <gotmax@e.email> - 1.9.1-3
- Switch to ansible-packaging.

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Sagi Shnaidman <sshnaidm@redhat.com> - 1.9.1-1
- Bump to 1.9.1

* Thu Nov 25 2021 Sagi Shnaidman <sshnaidm@redhat.com> - 1.8.3-1
- Bump to 1.8.3

* Tue Nov 09 2021 Sagi Shnaidman <sshnaidm@redhat.com> - 1.8.2-1
- Bump to 1.8.2

* Thu Oct 14 2021 Sagi Shnaidman <sshnaidm@redhat.com> - 1.6.1-3
- Use ansible or ansible-core as BuildRequires

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 08 2021 Sagi Shnaidman <sshnaidm@redhat.com> - 1.6.1-1
- Bump to 1.6.1-1

* Sun Feb 21 2021 Sagi Shnaidman <sshnaidm@redhat.com> - 1.4.1-2
- Resolving RPM issues

* Tue Feb 09 2021 Sagi Shnaidman <sshnaidm@redhat.com> - 1.4.1-1
- Initial package
